stems = [
	"https://ipfs.io/ipfs/:hash",
	"https://dweb.link/ipfs/:hash",
	"https://gateway.ipfs.io/ipfs/:hash",
	"https://ipfs.infura.io/ipfs/:hash",
	"https://ninetailed.ninja/ipfs/:hash",
	"https://ipfs.globalupload.io/:hash",
	"https://10.via0.com/ipfs/:hash",
	"https://ipfs.eternum.io/ipfs/:hash",
	"https://hardbin.com/ipfs/:hash",
	"https://gateway.blocksec.com/ipfs/:hash",
	"https://cloudflare-ipfs.com/ipfs/:hash",
	"https://astyanax.io/ipfs/:hash",
	# "https://cf-ipfs.com/ipfs/:hash",
	"https://ipns.co/ipfs/:hash",
	"https://ipfs.mrh.io/ipfs/:hash",
	"https://gateway.originprotocol.com/ipfs/:hash",
	"https://gateway.pinata.cloud/ipfs/:hash",
	"https://ipfs.doolta.com/ipfs/:hash",
	"https://ipfs.sloppyta.co/ipfs/:hash",
	"https://ipfs.busy.org/ipfs/:hash",
	"https://ipfs.greyh.at/ipfs/:hash",
	"https://gateway.serph.network/ipfs/:hash",
	"https://jorropo.ovh/ipfs/:hash",
	"https://jorropo.net/ipfs/:hash",
	"https://gateway.temporal.cloud/ipfs/:hash",
	"https://ipfs.fooock.com/ipfs/:hash",
	"https://cdn.cwinfo.net/ipfs/:hash",
	"https://ipfs.privacytools.io/ipfs/:hash",
	"https://permaweb.io/ipfs/:hash",
	"https://ipfs.stibarc.com/ipfs/:hash",
	"https://ipfs.best-practice.se/ipfs/:hash",
	"https://2read.net/ipfs/:hash",
	"https://ipfs.2read.net/ipfs/:hash",
	"https://storjipfs-gateway.com/ipfs/:hash",
	"https://ipfs.runfission.com/ipfs/:hash",
	"https://trusti.id/ipfs/:hash",
	"https://apac.trusti.id/ipfs/:hash",
	"https://ipfs.overpi.com/ipfs/:hash",
	"https://gateway.ipfs.lc/ipfs/:hash",
	"https://ipfs.leiyun.org/ipfs/:hash",
	"https://ipfs.ink/ipfs/:hash",
	"https://ipfs.oceanprotocol.com/ipfs/:hash",
	"https://d26g9c7mfuzstv.cloudfront.net/ipfs/:hash",
	"https://ipfsgateway.makersplace.com/ipfs/:hash",
	"https://gateway.ravenland.org/ipfs/:hash",
	# "https://ipfs.smartsignature.io/ipfs/:hash",
	# "https://ipfs.funnychain.co/ipfs/:hash",
	# "https://ipfs.telos.miami/ipfs/:hash",
	# "https://robotizing.net/ipfs/:hash",
	# "https://ipfs.mttk.net/ipfs/:hash",
	# "https://ipfs.fleek.co/ipfs/:hash",
	# "https://ipfs.jbb.one/ipfs/:hash",
	# "https://ipfs.yt/ipfs/:hash",
	# "https://jacl.tech/ipfs/:hash",
	# "https://hashnews.k1ic.com/ipfs/:hash",
	# "https://ipfs.vip/ipfs/:hash",
	# "https://ipfs.k1ic.com/ipfs/:hash",
	# "https://ipfs.drink.cafe/ipfs/:hash",
	# "https://ipfs.azurewebsites.net/ipfs/:hash",
	# "https://gw.ipfspin.com/ipfs/:hash",
	# "https://ipfs.kavin.rocks/ipfs/:hash",
	# "https://ipfs.denarius.io/ipfs/:hash",
	# "https://ipfs.mihir.ch/ipfs/:hash",
	# "https://bluelight.link/ipfs/:hash",
	# "https://crustwebsites.net/ipfs/:hash",
	# "https://trusted-setup.filecoin.io/ipfs/:hash",
	# "http://3.211.196.68:8080/ipfs/:hash",
	# "https://ipfs0.sjc.cloudsigma.com/ipfs/:hash",
	# "https://ipfs-tezos.giganode.io/ipfs/:hash",
	# "http://183.252.17.149:82/ipfs/:hash",
	# "http://ipfs.genenetwork.org/ipfs/:hash",
	# "https://ipfs.eth.aragon.network/ipfs/:hash",
	# "https://ipfs.smartholdem.io/ipfs/:hash",
	# "https://bin.d0x.to/ipfs/:hash",
	# "https://ipfs.xoqq.ch/ipfs/:hash",
	# "https://birds-are-nice.me/ipfs/:hash",
	# "http://natoboram.mynetgear.com:8080/ipfs/:hash",
	# "https://ipfs.foxgirl.dev/ipfs/:hash",
	# "https://video.oneloveipfs.com/ipfs/:hash",
	# "http://ipfs.anonymize.com/ipfs/:hash",
	# "https://ipfs.noormohammed.tech/ipfs/:hash",
	# "https://ipfs.taxi/ipfs/:hash",
	# "https://ipfs.scalaproject.io/ipfs/:hash"
]

hsh = 'QmdqvJq51c6TbkwV5xDvKwzD7me8bGv6fYE47DbuuUovkA'

a = [x.replace(':hash', hsh) for x in stems]
print(a)
print(len(a))
